package com.platform.service;

import java.util.List;

import com.platform.entities.GatherOracleInfo;

public interface IGatherOracleService {
	
	/**
	 * @return 查询 所有 oracle 总库
	 * @throws Exception
	 */
	public List<GatherOracleInfo> findAllOracle() throws Exception;
	
	/** 删除  oracle 总库
	 * @return
	 * @throws Exception
	 */
	public int deleteOracle(int id) throws Exception;
	
	/** 新增 oracle 总库
	 * @param oracle
	 * @return
	 * @throws Exception
	 */
	public int insertOracle(GatherOracleInfo oracle) throws Exception;
	
	/** 更新 oracle 总库
	 * @param oracle
	 * @return
	 * @throws Exception
	 */
	public int updateOracle(GatherOracleInfo oracle) throws Exception;

}
